Loading...
Searching...
No Matches
casacore::python::numpy::array_scalar_from_python< T > Struct Template Reference

Struct with static functions to convert a numpy array scalar to the templated type (e.g. More...

`#include <PycArrayNP.h>`

## Public Member Functions

| array_scalar_from_python ()

## Static Public Member Functions

static void * | convertible (PyObject *obj_ptr)
| Check if it is a type we can convert.
static void | construct (PyObject *obj_ptr, boost::python::converter::rvalue_from_python_stage1_data *data)
| Constructs a T from a Python array scalar object.

## Detailed Description

template<typename T>
struct casacore::python::numpy::array_scalar_from_python< T >

Struct with static functions to convert a numpy array scalar to the templated type (e.g.

Int).

Definition at line 99 of file PycArrayNP.h.

## Constructor & Destructor Documentation

## array_scalar_from_python()

template<typename T>

casacore::python::numpy::array_scalar_from_python< T >::array_scalar_from_python | ( |  | ) |

inline

Definition at line 101 of file PycArrayNP.h.

References construct(), and convertible().

## Member Function Documentation

## construct()

template<typename T>

void casacore::python::numpy::array_scalar_from_python< T >::construct | ( | PyObject * | obj_ptr,
|  | boost::python::converter::rvalue_from_python_stage1_data * | data )

inline static

Constructs a T from a Python array scalar object.

Definition at line 120 of file PycArrayNP.h.

References casacore::python::numpy::getScalar(), casacore::python::numpy::makeScalar(), casacore::python::numpy::PycArrayScalarCheck(), and casacore::storage().

Referenced by array_scalar_from_python().

## convertible()

template<typename T>

void * casacore::python::numpy::array_scalar_from_python< T >::convertible | ( | PyObject * | obj_ptr | ) |

inline static

Check if it is a type we can convert.

Definition at line 110 of file PycArrayNP.h.

References casacore::python::numpy::PycArrayScalarCheck().

Referenced by array_scalar_from_python().

The documentation for this struct was generated from the following file:

- python/Converters/PycArrayNP.h